Error: Service with 'fuel-core-sync' name is already registered

Good Day

When I start my node I see this error: ``` Error …Service with ‘fuel-core-sync’ name is already registered``

2023-11-28T08:00:14.050620Z  INFO fuel_core::cli::run: 245: Block production mode: Instant
2023-11-28T08:00:14.051003Z  INFO fuel_core::cli::run: 348: Fuel Core version v0.20.5
2023-11-28T08:00:16.298188Z ERROR new{name=Fuel_Node2}: fuel_core_metrics::services: 47: Service with 'fuel-core-sync' name is already registered
2023-11-28T08:00:16.302595Z  INFO new{name=Fuel_Node2}: fuel_core::graphql_api::service: 210: Binding GraphQL provider to 127.0.0.1:4000

but when I list all my Linux services I don’t see it

userdev@node:~/fuel_node$ systemctl --type=service --all


● exim4.service                                         not-found inactive dead    exim4.service
● firewalld.service                                     not-found inactive dead    firewalld.service
  fstrim.service                                        loaded    inactive dead    Discard unused blocks on filesystems from /etc/fstab
  fwupd-refresh.service                                 loaded    inactive dead    Refresh fwupd metadata and update motd
  gdm.service                                           loaded    active   running GNOME Display Manager
  getty-static.service                                  loaded    inactive dead    getty on tty2-tty6 if dbus and logind are not available
  getty@tty1.service                                    loaded    inactive dead    Getty on tty1

not sure if its an issue or where the duplicate service registration is originating from.

1 Like

Hi there!
Can you share the result of running fuelup show from your machine? So I can see the version of your toolchain.

This issue was solved in fuel-core 0.20.8.

I’ll be around :eyes:
Thanks!

1 Like

Hi @sandusky , there you go !!!

userdev@node:~/fuel_node$ fuelup show
Default host: x86_64-unknown-linux-gnu
fuelup home: /home/userdev/.fuelup

installed toolchains
--------------------
latest-x86_64-unknown-linux-gnu
beta-4-x86_64-unknown-linux-gnu (default)

active toolchain
-----------------
beta-4-x86_64-unknown-linux-gnu (default)
  forc : 0.46.1
    - forc-client
      - forc-deploy : 0.46.1
      - forc-run : 0.46.1
    - forc-doc : 0.46.1
    - forc-explore : 0.28.1
    - forc-fmt : 0.46.1
    - forc-index : 0.23.0
    - forc-lsp : 0.46.1
    - forc-tx : 0.46.1
    - forc-wallet : 0.3.0
  fuel-core : 0.20.5
  fuel-core-keygen : Error getting version string
  fuel-indexer : 0.23.0

fuels versions
---------------
forc : 0.45
forc-wallet : 0.45



Hi there!
The current version beta-4 fuel-core is 0.20.5 in order to use the new version of fuel core please consider creating your own toolchain and installing fuel-core 0.20.8.

Please check this guide for further details.

Let me know if this works for you!

1 Like

Good day sir!Will fuel-core 0.20.8. be available to use without creating my own toolchain in the near future?I mean,it will be updated just by running: fuelup self update

Yes v0.28.0 will be included in the toolchain very soon :slight_smile:

Awesome!Thanks for your reply!Have a nice evening!

1 Like

Thanks @sandusky :clap: created my own toolchain , all working now. with v0.28.0

2023-12-04T17:49:36.741997Z  INFO fuel_core::cli::run: 250: Block production mode: Instant
2023-12-04T17:49:36.742099Z  INFO fuel_core::cli::run: 354: Fuel Core version v0.20.8
2023-12-04T17:49:41.745235Z  INFO new{name=Fuel_Node2}: fuel_core::graphql_api::service: 212: Binding GraphQL provider to 0.0.0.0:4000
2023-12-04T17:49:41.745749Z  INFO new{name=Fuel_Node2}:initialize_loop{service="P2P"}: fuel_core_p2p::p2p_service: 240: The p2p service starts on the
1 Like